Subject: Re: [PATCH -next] libs: force lzma_wrapper to be retained

From: Randy Dunlap <[email-masked]>
Date: Sun, 3 Jan 2010 20:42:30 -0800

On Sun, 03 Jan 2010 00:55:55 +0000 Phillip Lougher wrote:

> Randy Dunlap wrote:
> > From: Randy Dunlap <[email-masked]>
> > 
> > When CONFIG_SQUASHFS=m and CONFIG_DECOMPRESS_LZMA=m, decompress_lzma
> > is built but then discarded from the library because no built-in code
> > uses it, so change it from a lib- to an obj- to force it to be kept
> > in the library.
> > 
> > ERROR: "unlzma" [fs/squashfs/squashfs.ko] undefined!
> > 
> 
> Thanks for fixing this, I should have spotted it in my various
> config tests but didn't.  I could add this to my squashfs-next patches
> to stop the linux-next tree breakage, however, should it go into
> Michal's kbuild -next tree instead?

You can/should go ahead and include this patch, I think.

> This patch raises a small additional issue, why is DECOMPRESS_LZMA
> (and DECOMPRESS_GZIP/DECOMPRESS_BZIP2) and defined as tristate?
> None of the above compressors can be built as modules.

No idea.  Sounds like a potential problem.

> Regards
> Phillip

---
~Randy